package com.unis.base.app.controller;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RestController;
import com.unis.base.client.AerationHisFeign;
import com.unis.base.common.vo.TyTfzyxxHisQueryVO;
import com.unis.base.common.vo.TyTfzyxxHisVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import lombok.extern.slf4j.Slf4j;
/**
 * @author 张琪
 * @date 2019年9月18日 下午4:51:47
 * @description
 */
@RestController
@Slf4j
@Api(value = "通风作业信息历史记录 ", tags = "通风作业信息历史记录 维护")
public class AerationHisController {
	@Autowired
	private AerationHisFeign aerationHisFeign;
	/**
	 * 分页列表查询
	 * @param pageNum
	 * @param pageSize
	 * @param tyTfzyxxHisQueryVO
	 * @return
	 */
	@ApiOperation(value = "通风作业信息历史记录列表 根据条件【分页查询】",notes = "参数：方案编号/作业单编号")
	@PostMapping(value = "/aerationHisPageList/{pageNum}/{pageSize}")
	public ResponseWrapper getTfzyxxHisList(@PathVariable(value = "pageNum") Integer pageNum,
			  @PathVariable(value = "pageSize") Integer pageSize,@RequestBody TyTfzyxxHisQueryVO tyTfzyxxHisQueryVO) {
				return aerationHisFeign.getTfzyxxHisList(pageNum, pageSize, tyTfzyxxHisQueryVO);

	}

	/**
	 * @author 张琪
	 * @Description 根据主键ID获取通风作业历史信息
	 * @return 通风作业信息
	 */
	@ApiOperation(value = "根据主键编码获取通风作业历史信息", notes = "参数：主键ID")
	@GetMapping(value = "/aerationHisInfo/{lsId}")
	public ResponseWrapper getAerationHisInfoByLsId(@PathVariable("lsId")String lsId) {
		return aerationHisFeign.getAerationHisInfoByLsId(lsId);
	}

	/**
	 * @author 张琪
	 * @Description 新增通风作业信息
	 * @param 通风作业信息对象 models
	 * @return 新增状态
	 */
	@ApiOperation(value = "新增通风作业信息", notes = "参数：备案类型【0_未备案，1_待提交，2_待审核，3_已驳回，4_已备案】")
	@PostMapping(value = "/aerationHisInfoSave")
    public ResponseWrapper insert(@RequestBody TyTfzyxxHisVO tyTfzyxxHisVO) {
		return aerationHisFeign.insert(tyTfzyxxHisVO);
	}
}
