/*
 * TransferBarnController.java
 * 版权所有 © 2011-2017 北京神舟良实信息技术有限公司
 * Copyright © 2011-2017 All Rights Reserved    京ICP备13013562号
 * 2019-07-29 created by LPH with LAPTOP-IJQ2SDFV
 */
package com.unis.base.app.controller;

import com.unis.base.app.feign.TransferBarnApplyClientFeign;
import com.unis.cbl.common.vo.TransferBarnVO;
import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;


@RestController
@RequestMapping("/cbl/client/transferBarnApply")
@Api(value = "倒仓-企业端-倒仓申请", tags = "倒仓-企业端-倒仓申请")
public class TransferBarnApplyClientController {


    @Autowired
    private TransferBarnApplyClientFeign transferBarnApplyClientFeign;

    @ApiOperation(value = "倒仓申请主表-(所传即所查)分页查询列表", notes = "pageSize,pageNum从url传")
    @ApiImplicitParams({
            @ApiImplicitParam(name = "pageSize", value = "分页大小", dataType = "int", paramType = "query"),
            @ApiImplicitParam(name = "pageNum", value = "当前页", dataType = "int", paramType = "query")
    })
    @PostMapping("/selectAllPageByEntity")
    public ResponseWrapper selectAllPageByEntity(
            @RequestParam(value = "pageNum", defaultValue = "1") int pageNum
            ,@RequestParam(value = "pageSize", defaultValue = "10") int pageSize
            ,@RequestBody(required = true) TransferBarnVO transferBarnVO) {
        return transferBarnApplyClientFeign.selectAllPageByEntity(pageNum,pageSize,transferBarnVO);
    }


}
