package com.unis.base.app.feign;

import com.unis.common.utils.ResponseWrapper;
import io.swagger.annotations.ApiOperation;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.stereotype.Component;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;

@FeignClient(name = "data-dict")
@Component
public interface DictFeign {

    @ApiOperation(value = "新版根据数据字典组ID和数据字典名称查询数据字典", notes = "参数：数据字典组ID--groupId，数据字典名称--dictName")
    @GetMapping(value = "/dataDictionary/getDataDictionaryByGroupIdAndInDictName/{groupId}/{dictName}")
    public ResponseWrapper getDataDictionaryByGroupIdAndInDictName(@PathVariable("groupId") String groupId, @PathVariable("dictName") String dictName);
}
