package com.unis.base.app.service;

import com.unis.base.common.vo.CompanyRecordsQueryVO;
import com.unis.base.common.vo.CompanyRecordsVO;
import com.unis.base.common.vo.ExamineStampVO;
import com.unis.common.utils.ResponseWrapper;

/** 
 * @ClassName: CompanyRecordsService
 * @Description: 企业记录 service
 * @author WangZL
 * @date 2019年9月6日 上午11:18:14  
 */
public interface CompanyRecordsService {

	/**
	 * 分页查询列表
	 * @param companyRecordsQueryVO
	 * @param pageNum
	 * @param pageSize
	 * @return
	 */
	ResponseWrapper getCompanyRecordsPage(CompanyRecordsQueryVO companyRecordsQueryVO, Integer pageNum, Integer pageSize);

	/**
	 * 查询详情
	 * @param qybabh
	 * @return
	 */
	ResponseWrapper getCompanyRecordsInfoById(String qybabh);

	/**
	 * 根据状态新增
	 * @param companyRecordsVO
	 * @param type
	 * @return
	 */
    ResponseWrapper insertCompanyRecords(CompanyRecordsVO companyRecordsVO, Integer type);

	/**
	 * 提交
	 * @param qybabh
	 * @return
	 */
	ResponseWrapper companyRecordsRelay(String qybabh);

	/**
	 * 库区主任审批
	 * @param examineStampVO
	 * @return
	 */
	ResponseWrapper companyRecordsDirectorExamine(ExamineStampVO examineStampVO);

	/**
	 * 区粮办审批
	 * @param examineStampVO
	 * @return
	 */
	ResponseWrapper companyRecordsDistrictExamine(ExamineStampVO examineStampVO);

}
