package com.unis.base.app.service;

import com.unis.base.common.vo.CompanyRecordsVO;
import com.unis.base.common.vo.CompanyVO;
import com.unis.common.utils.ResponseWrapper;

/** 
 * @ClassName: CompanyService
 * @Description: 企业信息 service
 * @author WangZL
 * @date 2019年9月6日 上午11:18:14  
 */
public interface CompanyService {
	

	/** 
	 * @Title: insert
	 * @Description: 新增企业信息
	 * @param companyVO
	 * @return ResponseWrapper
	 * @throws 
	 */
	ResponseWrapper insert(CompanyVO companyVO);

	/** 
	 * @Title: getCompanyBytyshxydm
	 * @Description: 根据统一社会行政代码获取企业信息
	 * @param  tyshxydm
	 * @return ResponseWrapper
	 * @throws 
	 */
	ResponseWrapper getCompanyBytyshxydm(String tyshxydm);

	/** 
	 * @Title: delete
	 * @Description: 根据统一社会行政代码删除企业信息
	 * @param tyshxydm
	 * @return ResponseWrapper
	 * @throws 
	 */
	ResponseWrapper delete(String tyshxydm);

	/**
	 * @Title: update
	 * @Description: 更新企业信息
	 * @param companyVO
	 * @return
	 */
	ResponseWrapper update(CompanyVO companyVO);

	/**
	 * 企业备案
	 * @param companyRecordsVO
	 * @return
	 */
	ResponseWrapper updateFilingStatus(CompanyRecordsVO companyRecordsVO);
}
